<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="debug" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="91fb8cbe-3946-4eca-a4cf-05dab52b73c6" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/android/src/main/assets/aiengine.provision" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/arm64-v8a/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/armeabi-v5te/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/armeabi-v7a-neon/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/armeabi-v7a/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/armeabi/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/mips/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/mips64/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/x86/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/jniLibs/x86_64/libaiengine.so" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/App.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Audio.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/ChivoxResult.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Detail.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Fluency.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Info.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Params.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Request.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Result.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Rhythm.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Sdk.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/model/chivox/Time.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/util/AIEngineHelper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/util/IFlyAudioEvaluatorUtil.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/.idea/caches/build_file_checksums.ser" beforeDir="false" afterPath="$PROJECT_DIR$/android/.idea/caches/build_file_checksums.ser" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/build.gradle" beforeDir="false" afterPath="$PROJECT_DIR$/android/build.gradle" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/libs/Msc.jar" beforeDir="false" afterPath="$PROJECT_DIR$/android/src/main/jniLibs/Msc.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/libs/arm64-v8a/libmsc.so" beforeDir="false" afterPath="$PROJECT_DIR$/android/src/main/jniLibs/arm64-v8a/libmsc.so" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/libs/armeabi-v7a/libmsc.so" beforeDir="false" afterPath="$PROJECT_DIR$/android/src/main/jniLibs/armeabi-v7a/libmsc.so" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/libs/flutter.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/SpeechPlugin.kt" beforeDir="false" afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/SpeechPlugin.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/util/AudioEvaluatorUtil.kt" beforeDir="false" afterPath="$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/util/ChivoxAudioEvaluatorUtil.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/example/android/gradle.properties" beforeDir="false" afterPath="$PROJECT_DIR$/example/android/gradle.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/example/pubspec.lock" beforeDir="false" afterPath="$PROJECT_DIR$/example/pubspec.lock" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/speech_plugin.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/speech_plugin.dart" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.dart_tool/" />
    <ignored path="$PROJECT_DIR$/.idea/" />
    <ignored path="$PROJECT_DIR$/.pub/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <ignored path="$PROJECT_DIR$/example/.pub/" />
    <ignored path="$PROJECT_DIR$/example/build/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="792QAESFTC6MD" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/speech_plugin.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="302">
              <caret line="20" column="3" lean-forward="true" selection-start-line="20" selection-start-column="3" selection-end-line="20" selection-end-column="3" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/.gitignore">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="154">
              <caret line="7" selection-start-line="7" selection-end-line="7" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>invokeMethod</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/lib/speech_plugin.dart" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="395" />
    <option name="y" value="42" />
    <option name="width" value="1346" />
    <option name="height" value="955" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="speech_plugin" type="b2602c69:ProjectViewProjectNode" />
              <item name="speech_plugin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="speech_plugin" type="b2602c69:ProjectViewProjectNode" />
              <item name="speech_plugin" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="speech_plugin" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="AndroidView" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="dart.analysis.tool.window.force.activate" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/android" />
    <property name="settings.editor.selected.configurable" value="flutter.settings" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="91fb8cbe-3946-4eca-a4cf-05dab52b73c6" name="Default Changelist" comment="" />
      <created>1572489275976</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1572489275976</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.14658849" />
      <window_info id="Captures" order="1" side_tool="true" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Designer" order="4" />
      <window_info id="Build Variants" order="5" side_tool="true" />
      <window_info id="Resources Explorer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Favorites" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Dart Analysis" order="0" weight="0.32936078" />
      <window_info anchor="bottom" id="Run" order="1" weight="0.329718" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Android Profiler" order="3" show_stripe_button="false" />
      <window_info active="true" anchor="bottom" id="Logcat" order="4" visible="true" weight="0.329718" />
      <window_info anchor="bottom" id="Debug" order="5" />
      <window_info anchor="bottom" id="Terminal" order="6" weight="0.329718" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.3299435" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Theme Preview" order="2" />
      <window_info anchor="right" id="Flutter Inspector" order="3" />
      <window_info anchor="right" id="Flutter Outline" order="4" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/pubspec.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="475">
          <caret line="25" column="47" selection-start-line="25" selection-start-column="47" selection-end-line="25" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/example/lib/main.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="23">
          <caret line="16" column="11" lean-forward="true" selection-start-line="16" selection-start-column="11" selection-end-line="16" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/flutter/flutter/packages/flutter/lib/src/services/platform_channel.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="298">
          <caret line="311" column="12" selection-start-line="311" selection-start-column="12" selection-end-line="311" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/speech_plugin.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="302">
          <caret line="20" column="3" lean-forward="true" selection-start-line="20" selection-start-column="3" selection-end-line="20" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/android/src/main/kotlin/cn/i2edu/speech_plugin/SpeechPlugin.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="136" selection-start-line="136" selection-end-line="136" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
  </component>
</project>